Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 402763 - media-plugins/gst-plugins-ffmpeg-0.10.13-r1 - libavcodec/arm/dsputil_vfp.S:45: Error: selected processor does not support ARM mode `vpush {d8-d15}'
Summary: media-plugins/gst-plugins-ffmpeg-0.10.13-r1 - libavcodec/arm/dsputil_vfp.S:45...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: ARM Linux
: Normal normal (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-08 20:02 UTC by johan janez
Modified: 2013-07-02 12:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,4.15 KB, text/plain)
2012-02-08 20:03 UTC, johan janez
Details
build.log for when the error breaks compiling (build.log,54.62 KB, text/plain)
2012-02-08 20:04 UTC, johan janez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description johan janez 2012-02-08 20:02:39 UTC
media-plugins/gst-plugins-ffmpeg fails to compile on ARM Cortex-A9 (pandaboard omap 4460), with dsputil_vfp not supported error, i found a way to get it built manually by commenting the following lines: 
40:OBJS-$(HAVE_ARMVFP)                    += arm/dsputil_vfp.o             \
41:                                          arm/dsputil_init_vfp.o        \
 in gst-ffmpeg-0.10.13/gst-libs/ext/libav/libavcodec/arm/Makefile after doing ./autogen.sh and ./configure 

Reproducible: Always

Steps to Reproduce:
1.emerge -v gst-plugins-ffmpeg
2.fail
3.
Actual Results:  
Failed to compile with many errors like this:

libavcodec/arm/dsputil_vfp.S: Assembler messages:
libavcodec/arm/dsputil_vfp.S:45: Error: selected processor does not support ARM mode `vpush {d8-d15}'


Expected Results:  
Finish compiling
Comment 1 johan janez 2012-02-08 20:03:30 UTC
Created attachment 301291 [details]
emerge --info
Comment 2 johan janez 2012-02-08 20:04:18 UTC
Created attachment 301295 [details]
build.log for when the error breaks compiling
Comment 3 Jeroen Roovers gentoo-dev 2012-02-09 01:05:51 UTC
Don't CC random people, please.
Comment 4 Alexis Ballier gentoo-dev 2013-07-02 12:45:50 UTC
should be fixed in gst-plugins-ffmpeg-0.10.13_p201211 (uses system ffmpeg)